/// <reference types="vscode/vscode-dts/vscode.proposed.activeComment" />
/// <reference types="vscode/vscode-dts/vscode.proposed.aiRelatedInformation" />
/// <reference types="vscode/vscode-dts/vscode.proposed.aiTextSearchProvider" />
/// <reference types="vscode/vscode-dts/vscode.proposed.authGetSessions" />
/// <reference types="vscode/vscode-dts/vscode.proposed.authLearnMore" />
/// <reference types="vscode/vscode-dts/vscode.proposed.authSession" />
/// <reference types="vscode/vscode-dts/vscode.proposed.canonicalUriProvider" />
/// <reference types="vscode/vscode-dts/vscode.proposed.chatParticipant" />
/// <reference types="vscode/vscode-dts/vscode.proposed.chatParticipantAdditions" />
/// <reference types="vscode/vscode-dts/vscode.proposed.chatProvider" />
/// <reference types="vscode/vscode-dts/vscode.proposed.chatTab" />
/// <reference types="vscode/vscode-dts/vscode.proposed.chatVariableResolver" />
/// <reference types="vscode/vscode-dts/vscode.proposed.codeActionAI" />
/// <reference types="vscode/vscode-dts/vscode.proposed.codeActionRanges" />
/// <reference types="vscode/vscode-dts/vscode.proposed.codiconDecoration" />
/// <reference types="vscode/vscode-dts/vscode.proposed.commentReactor" />
/// <reference types="vscode/vscode-dts/vscode.proposed.commentThreadApplicability" />
/// <reference types="vscode/vscode-dts/vscode.proposed.commentingRangeHint" />
/// <reference types="vscode/vscode-dts/vscode.proposed.commentsDraftState" />
/// <reference types="vscode/vscode-dts/vscode.proposed.createFileSystemWatcher" />
/// <reference types="vscode/vscode-dts/vscode.proposed.customEditorMove" />
/// <reference types="vscode/vscode-dts/vscode.proposed.debugFocus" />
/// <reference types="vscode/vscode-dts/vscode.proposed.debugVisualization" />
/// <reference types="vscode/vscode-dts/vscode.proposed.defaultChatParticipant" />
/// <reference types="vscode/vscode-dts/vscode.proposed.diffCommand" />
/// <reference types="vscode/vscode-dts/vscode.proposed.diffContentOptions" />
/// <reference types="vscode/vscode-dts/vscode.proposed.documentFiltersExclusive" />
/// <reference types="vscode/vscode-dts/vscode.proposed.documentPaste" />
/// <reference types="vscode/vscode-dts/vscode.proposed.dropMetadata" />
/// <reference types="vscode/vscode-dts/vscode.proposed.editSessionIdentityProvider" />
/// <reference types="vscode/vscode-dts/vscode.proposed.editorInsets" />
/// <reference types="vscode/vscode-dts/vscode.proposed.extensionRuntime" />
/// <reference types="vscode/vscode-dts/vscode.proposed.extensionsAny" />
/// <reference types="vscode/vscode-dts/vscode.proposed.externalUriOpener" />
/// <reference types="vscode/vscode-dts/vscode.proposed.fileComments" />
/// <reference types="vscode/vscode-dts/vscode.proposed.fileSearchProvider" />
/// <reference types="vscode/vscode-dts/vscode.proposed.findFiles2" />
/// <reference types="vscode/vscode-dts/vscode.proposed.findTextInFiles" />
/// <reference types="vscode/vscode-dts/vscode.proposed.fsChunks" />
/// <reference types="vscode/vscode-dts/vscode.proposed.handleIssueUri" />
/// <reference types="vscode/vscode-dts/vscode.proposed.idToken" />
/// <reference types="vscode/vscode-dts/vscode.proposed.inlineCompletionsAdditions" />
/// <reference types="vscode/vscode-dts/vscode.proposed.inlineEdit" />
/// <reference types="vscode/vscode-dts/vscode.proposed.interactive" />
/// <reference types="vscode/vscode-dts/vscode.proposed.interactiveWindow" />
/// <reference types="vscode/vscode-dts/vscode.proposed.ipc" />
/// <reference types="vscode/vscode-dts/vscode.proposed.languageModels" />
/// <reference types="vscode/vscode-dts/vscode.proposed.languageStatusText" />
/// <reference types="vscode/vscode-dts/vscode.proposed.mappedEditsProvider" />
/// <reference types="vscode/vscode-dts/vscode.proposed.multiDocumentHighlightProvider" />
/// <reference types="vscode/vscode-dts/vscode.proposed.newSymbolNamesProvider" />
/// <reference types="vscode/vscode-dts/vscode.proposed.notebookCellExecution" />
/// <reference types="vscode/vscode-dts/vscode.proposed.notebookCellExecutionState" />
/// <reference types="vscode/vscode-dts/vscode.proposed.notebookControllerAffinityHidden" />
/// <reference types="vscode/vscode-dts/vscode.proposed.notebookDeprecated" />
/// <reference types="vscode/vscode-dts/vscode.proposed.notebookExecution" />
/// <reference types="vscode/vscode-dts/vscode.proposed.notebookKernelSource" />
/// <reference types="vscode/vscode-dts/vscode.proposed.notebookLiveShare" />
/// <reference types="vscode/vscode-dts/vscode.proposed.notebookMessaging" />
/// <reference types="vscode/vscode-dts/vscode.proposed.notebookMime" />
/// <reference types="vscode/vscode-dts/vscode.proposed.notebookVariableProvider" />
/// <reference types="vscode/vscode-dts/vscode.proposed.portsAttributes" />
/// <reference types="vscode/vscode-dts/vscode.proposed.profileContentHandlers" />
/// <reference types="vscode/vscode-dts/vscode.proposed.quickDiffProvider" />
/// <reference types="vscode/vscode-dts/vscode.proposed.quickPickItemTooltip" />
/// <reference types="vscode/vscode-dts/vscode.proposed.quickPickSortByLabel" />
/// <reference types="vscode/vscode-dts/vscode.proposed.resolvers" />
/// <reference types="vscode/vscode-dts/vscode.proposed.scmActionButton" />
/// <reference types="vscode/vscode-dts/vscode.proposed.scmHistoryProvider" />
/// <reference types="vscode/vscode-dts/vscode.proposed.scmMultiDiffEditor" />
/// <reference types="vscode/vscode-dts/vscode.proposed.scmSelectedProvider" />
/// <reference types="vscode/vscode-dts/vscode.proposed.scmTextDocument" />
/// <reference types="vscode/vscode-dts/vscode.proposed.scmValidation" />
/// <reference types="vscode/vscode-dts/vscode.proposed.shareProvider" />
/// <reference types="vscode/vscode-dts/vscode.proposed.showLocal" />
/// <reference types="vscode/vscode-dts/vscode.proposed.speech" />
/// <reference types="vscode/vscode-dts/vscode.proposed.tabInputMultiDiff" />
/// <reference types="vscode/vscode-dts/vscode.proposed.tabInputTextMerge" />
/// <reference types="vscode/vscode-dts/vscode.proposed.taskPresentationGroup" />
/// <reference types="vscode/vscode-dts/vscode.proposed.telemetry" />
/// <reference types="vscode/vscode-dts/vscode.proposed.terminalDataWriteEvent" />
/// <reference types="vscode/vscode-dts/vscode.proposed.terminalDimensions" />
/// <reference types="vscode/vscode-dts/vscode.proposed.terminalExecuteCommandEvent" />
/// <reference types="vscode/vscode-dts/vscode.proposed.terminalQuickFixProvider" />
/// <reference types="vscode/vscode-dts/vscode.proposed.terminalSelection" />
/// <reference types="vscode/vscode-dts/vscode.proposed.terminalShellIntegration" />
/// <reference types="vscode/vscode-dts/vscode.proposed.testObserver" />
/// <reference types="vscode/vscode-dts/vscode.proposed.textSearchProvider" />
/// <reference types="vscode/vscode-dts/vscode.proposed.timeline" />
/// <reference types="vscode/vscode-dts/vscode.proposed.tokenInformation" />
/// <reference types="vscode/vscode-dts/vscode.proposed.treeViewActiveItem" />
/// <reference types="vscode/vscode-dts/vscode.proposed.treeViewMarkdownMessage" />
/// <reference types="vscode/vscode-dts/vscode.proposed.treeViewReveal" />
/// <reference types="vscode/vscode-dts/vscode.proposed.tunnelFactory" />
/// <reference types="vscode/vscode-dts/vscode.proposed.tunnels" />
/// <reference types="vscode/vscode-dts/vscode.proposed.windowActivity" />
/// <reference types="vscode/vscode-dts/vscode.proposed.workspaceTrust" />
import * as monaco from 'monaco-editor';
import { IConfigurationChangeEvent } from 'vscode/services';
import * as vscode from 'vscode';
import { updateUserConfiguration, getUserConfiguration, onUserConfigurationChange, IConfigurationNode, IConfigurationDefaults } from '@codingame/monaco-vscode-configuration-service-override';
export declare function onConfigurationChanged(listener: (e: IConfigurationChangeEvent) => void): vscode.Disposable;
export declare function getConfiguration<C = Partial<monaco.editor.IEditorOptions>>(language?: string, section?: string): C | undefined;
export { updateUserConfiguration, getUserConfiguration, onUserConfigurationChange };
export declare function registerConfigurations(configurations: IConfigurationNode[], validate?: boolean): void;
export declare function registerDefaultConfigurations(defaultConfigurations: IConfigurationDefaults['overrides'][]): void;
